Bug 2170151 (CVE-2023-0797)

Summary: CVE-2023-0797 libtiff: out-of-bounds read in _TIFFmemcpy() in libtiff/tif_unix.c when called by functions in tools/tiffcrop.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caswilli, dffrench, dkuc, fjansen, gzaronik, hkataria, jburrell, jkoehler, kaycoth, kshier, micjohns, mmuzila, nforro, ngough, rgodfrey, rh-spice-bugs, sthirugn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in tiffcrop, a program distributed by the libtiff package. A specially crafted tiff file can lead to an out-of-bounds read in the _TIFFmemcpy function in libtiff/tif_unix.c when called by functions in tools/tiffcrop.c, resulting in a Denial of Service and limited information disclosure.
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-06-22 01:44:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2170153, 2170154, 2170592, 2170152, 2170155, 2170590, 2170591, 2170593, 2193351    
Bug Blocks: 2169674    

Description Guilherme de Almeida Suckevicz 2023-02-15 19:21:23 UTC
LibTIFF 4.4.0 has an out-of-bounds read in tiffcrop in libtiff/tif_unix.c:368, invoked by tools/tiffcrop.c:2903 and tools/tiffcrop.c:6921, allowing attackers to cause a denial-of-service via a crafted tiff file. For users that compile libtiff from sources, the fix is available with commit afaabc3e.

References:
https://gitlab.com/libtiff/libtiff/-/issues/495
https://gitlab.com/gitlab-org/cves/-/blob/master/2023/CVE-2023-0797.json

Upstream patch:
https://gitlab.com/libtiff/libtiff/-/commit/afaabc3e50d4e5d80a94143f7e3c997e7e410f68

Comment 1 Guilherme de Almeida Suckevicz 2023-02-15 19:21:51 UTC
Created iv tracking bugs for this issue:

Affects: fedora-all [bug 2170154]


Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 2170153]


Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 2170152]


Created tkimg tracking bugs for this issue:

Affects: fedora-all [bug 2170155]

Comment 3 errata-xmlrpc 2023-06-21 14:38:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:3711 https://access.redhat.com/errata/RHSA-2023:3711

Comment 4 Product Security DevOps Team 2023-06-22 01:44:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-0797